net.sf.jasperreports.engine.export

## Class JRXlsExporterNature

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractExporterNature
  - - net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature
    - - net.sf.jasperreports.engine.export.JRXlsExporterNature

- All Implemented Interfaces:
    ExporterFilter, ExporterNature
  Direct Known Subclasses:
    JRXlsMetadataExporterNature

      public class JRXlsExporterNature
      extends JRXlsAbstractExporterNature

  Version:
    $Id: JRXlsExporterNature.java 7042 2014-04-24 10:54:02Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature

      `isIgnoreGraphics, isIgnorePageMargins, PROPERTY_BREAK_AFTER_ROW, PROPERTY_BREAK_BEFORE_ROW`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `filter, handlerEnvironment, jasperReportsContext, propertiesUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXlsExporterNature(ExporterFilter filter, boolean isIgnoreGraphics)` Deprecated. Replaced by `JRXlsExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.
    `JRXlsExporterNature(ExporterFilter filter, boolean isIgnoreGraphics, boolean isIgnorePageMargins)` Deprecated. Replaced by `JRXlsExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.
    `JRXlsExporterNature(JasperReportsContext jasperReportsContext, ExporterFilter filter, boolean isIgnoreGraphics, boolean isIgnorePageMargins)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isToExport(JRPrintElement element)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature

      `getColumnAutoFit, getColumnWidthRatio, getCustomColumnWidth, getFirstPageNumber, getPageScale, getPropertiesUtil, getRowAutoFit, getRowLevelSuffixes, getSheetName, getShowGridlines, isBreakAfterRow, isBreakBeforeRow, isDeep, isHorizontallyMergeEmptyCells, isIgnoreLastRow, isIgnorePageMargins, isSpanCells, setXProperties, setXProperties, setYProperties, setYProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXlsExporterNature

          public JRXlsExporterNature(ExporterFilter filter,
                             boolean isIgnoreGraphics)

      Deprecated. Replaced by `JRXlsExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.

    - #### JRXlsExporterNature

          public JRXlsExporterNature(ExporterFilter filter,
                             boolean isIgnoreGraphics,
                             boolean isIgnorePageMargins)

      Deprecated. Replaced by `JRXlsExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.

    - #### JRXlsExporterNature

          public JRXlsExporterNature(JasperReportsContext jasperReportsContext,
                             ExporterFilter filter,
                             boolean isIgnoreGraphics,
                             boolean isIgnorePageMargins)

  - ### Method Detail

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

      Specified by:
        `isToExport` in interface `ExporterFilter`
      Overrides:
        `isToExport` in class `JRXlsAbstractExporterNature`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com